/*
 * Copyright (c) Jupyter Development Team.
 * Distributed under the terms of the Modified BSD License.
 */
import { chatIcon } from '@jupyter/chat';
import { Token } from '@lumino/coreutils';
/**
 * The file type for a chat document.
 */
export const chatFileType = {
    name: 'chat',
    displayName: 'Chat',
    mimeTypes: ['text/json', 'application/json'],
    extensions: ['.chat'],
    fileFormat: 'text',
    contentType: 'chat',
    icon: chatIcon
};
/**
 * The token for the chat widget config
 */
export const IWidgetConfig = new Token('jupyter-collaborative-chat:IWidgetConfig');
/**
 * Command ids.
 */
export const CommandIDs = {
    /**
     * Create a chat file.
     */
    createChat: 'collaborative-chat:create',
    /**
     * Open a chat file.
     */
    openChat: 'collaborative-chat:open',
    /**
     * Move a main widget to the side panel
     */
    moveToSide: 'collaborative-chat:moveToSide'
};
/**
 * The chat panel token.
 */
export const IChatPanel = new Token('jupyter-collaborative-chat:IChatPanel');
